org.freeplane.plugin.script.proxy

## Interface Proxy.IconsRO

- All Known Subinterfaces:
    Proxy.Icons
  Enclosing interface:
    Proxy

      public static interface Proxy.IconsRO

  Node's icons: `node.icons` - read-only.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(java.lang.String name)` returns true if the node has an icon of this name.
    `java.lang.String` | `getAt(int index)` returns the name of the icon at the given index (starting at 0) or null if `index ≥ size`.
    `java.lang.String` | `getFirst()` returns the name of the first icon if the node has an icon assigned or null otherwise.
    `java.util.List<java.lang.String>` | `getIcons()` returns a read-only list of the names of the icons the node has.
    `java.util.List<java.net.URL>` | `getUrls()` returns a list of the urls of the icons the node has.
    `java.util.Iterator<java.lang.String>` | `iterator()` allows application of Groovy collection methods like each(), collect(), ...
    `int` | `size()` returns the number of icons the node has.

- - ### Method Detail

    - #### getAt

          java.lang.String getAt(int index)

      returns the name of the icon at the given index (starting at 0) or null if `index ≥ size`. Use it like this:

             def secondIconName = node.icons[1]

      Since:
        1.2

    - #### getFirst

          java.lang.String getFirst()

      returns the name of the first icon if the node has an icon assigned or null otherwise. Equivalent: `node.icons[0]`.
      Since:
        1.2

    - #### contains

          boolean contains(java.lang.String name)

      returns true if the node has an icon of this name.
      Since:
        1.2

    - #### size

          int size()

      returns the number of icons the node has.
      Since:
        1.2

    - #### getIcons

          java.util.List<java.lang.String> getIcons()

      returns a read-only list of the names of the icons the node has. Think twice before you use this method since it leads to ugly code, e.g. use `node.icons.first` or `node.icons[0]` instead of `node.icons.icons[0]`. Perhaps you could also use iteration over icons, see.

    - #### getUrls

          java.util.List<java.net.URL> getUrls()

      returns a list of the urls of the icons the node has.

    - #### iterator

          java.util.Iterator<java.lang.String> iterator()

      allows application of Groovy collection methods like each(), collect(), ...

             def freeIcons = node.icons.findAll { it.startsWith('free') }

      Since:
        1.3.2